CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > OpenFOAM Installation on Windows, Mac and other Unsupported Platforms

Patches for OpenFOAM 1.7 on MacOS X

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Display Modes
Old   September 14, 2010, 07:47
Default
  #61
Assistant Moderator
 
Bernhard Gschaider
Join Date: Mar 2009
Posts: 3,912
Rep Power: 40
gschaider will become famous soon enoughgschaider will become famous soon enough
Quote:
Originally Posted by JanL View Post
Hi Bernhard,

you were right! There is only the file pointHit.H and not PoinHit.H!

I'm a bit confused here... My Mac OS system is case-insensitive but I created a case-sensitive image and untarred the files within this image! Is there anything I have to consider for creating such an case-sensitive image in a case-insensitive system/environment or maybe any typical mistakes I could do working with such an image?

I guess I'll try to create a new image and start from the beginning again!?

Thanks for your help!!!
If the image is case-sensitve (and you tested that if I remember it correctly) and you untarred directly onto it all the files should be there. No additional requirements that I know of
gschaider is offline   Reply With Quote

Old   September 14, 2010, 13:00
Default
  #62
New Member
 
Jan Löhrmann
Join Date: Sep 2010
Posts: 21
Rep Power: 6
JanL is on a distinguished road
Hi,

I just untarred the OF- and Thirdparty-file again on the case-sensitive image and now it seems that the files are complete (e.g. there is now a PointHit.H and a pointHit.H file!). So I patched everything again and copied the files bashrc and settings.sh, which I previously changed from the old directory in the new one and ran ./Allwmake.

At first it looked good and no errors (at least I didnt spot any) were shown until:
Quote:
========================================
Done ThirdParty Allwmake
========================================
Afterwards there came up several warnings of this style:

Quote:
IPread.C:67:51: warning: use of old-style cast
And later on there were a whole bunch of files which could not been opened:

Quote:
could not open file polyPatch.H for source file db/regIOobject/regIOobject.C
could not open file labelPair.H for source file db/regIOobject/regIOobject.C
could not open file boundBox.H for source file db/regIOobject/regIOobject.C
could not open file pointZoneMesh.H for source file db/regIOobject/regIOobject.C
could not open file faceZoneMesh.H for source file db/regIOobject/regIOobject.C
could not open file cellZoneMesh.H for source file db/regIOobject/regIOobject.C
It keeps on going like this for quite a while!

It ends like this:

Quote:
make: Target `application' not remade because of errors.
I checked if those missing files exist and they do!
Any idea what could have gone wrong?

I tried the foamInstallationTest and the result is this (maybe it helps to find the error!?)

Quote:
Checking basic setup...
-------------------------------------------------------------------------------
Shell: bash
Host: jan-lohrmanns-imac.local
FATAL ERROR: Incompatible operating system "Darwin".
OpenFOAM 1.7.1 is currently
available for Linux and SunOS only.

-------------------------------------------------------------------------------


Checking main OpenFOAM env variables...
-------------------------------------------------------------------------------
Environment_variable Set_to_file_or_directory Valid Crit
-------------------------------------------------------------------------------
$WM_PROJECT_INST_DIR /Volumes/OpenFOAM yes yes
$WM_PROJECT_USER_DIR /Volumes/OpenFOAM/janlohrmann-1.7.1 yes no
$WM_THIRD_PARTY_DIR /Volumes/OpenFOAM/ThirdParty-1.7.1 yes yes
-------------------------------------------------------------------------------


Checking the OpenFOAM env variables set on the PATH...
-------------------------------------------------------------------------------
Environment_variable Set_to_file_or_directory Valid Path Crit
-------------------------------------------------------------------------------
$WM_PROJECT_DIR /Volumes/OpenFOAM/OpenFOAM-1.7.1 yes yes yes

$FOAM_APPBIN .../applications/bin/darwinIntel64DPOpt yes yes yes
$FOAM_SITE_APPBIN ...AM/site/1.7.1/bin/darwinIntel64DPOpt no no
$FOAM_USER_APPBIN .../applications/bin/darwinIntel64DPOpt no no
$WM_DIR /Volumes/OpenFOAM/OpenFOAM-1.7.1/wmake yes yes yes
-------------------------------------------------------------------------------


Checking the OpenFOAM env variables set on the LD_LIBRARY_PATH...
-------------------------------------------------------------------------------
Environment_variable Set_to_file_or_directory Valid Path Crit
-------------------------------------------------------------------------------
$FOAM_LIBBIN ...penFOAM-1.7.1/lib/darwinIntel64DPOpt yes yes yes
$FOAM_SITE_LIBBIN ...AM/site/1.7.1/lib/darwinIntel64DPOpt no no
$FOAM_USER_LIBBIN ...ohrmann-1.7.1/lib/darwinIntel64DPOpt no no
$MPI_ARCH_PATH ...latforms/darwinIntel64/openmpi-1.4.1 yes yes yes
-------------------------------------------------------------------------------


Third party software
-------------------------------------------------------------------------------
Software Version Location
-------------------------------------------------------------------------------
gcc 4.5.1 /opt/local/bin/gcc
gzip 1.3.12 /usr/bin/gzip
/Volumes/OpenFOAM/OpenFOAM-1.7.1/bin/foamInstallationTest: line 267: --version: command not found
gtar
icoFoam 1.7.1 ...FOAM-1.7.1/applications/bin/darwinIntel64DPOpt/icoFoam
-------------------------------------------------------------------------------


Summary
-------------------------------------------------------------------------------
The system test has evoked 1 fatal error(s).

Critical systems ok.
*** Review the output for warning messages and consult
*** the installation guide for trouble shooting.

done.
I tried again ./Allwmake and spotted the following warnings, which might be relevant!?

Quote:
/usr/include/X11/Xlib.h:501:9: error: reference to 'Time' is ambiguous
/usr/include/X11/X.h:82:23: error: candidates are: typedef long unsigned int Time
/Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OpenFOAM/lnInclude/Time.H:71:1: error: class Foam::Time
and:

Quote:
make[3]: *** [Make/darwinIntel64DPOpt/tecplotWriter.o] Error 1
Quote:
make[2]: *** [foamToTecplot360] Error 2
Quote:
make[1]: *** [dataConversion] Error 2
Quote:
make: Target `application' not remade because of errors.
I really don't know where the error might be or what it might cause! Do these quotes help anybody to find the problem?

Thanks very much for your support!
JanL is offline   Reply With Quote

Old   September 15, 2010, 22:59
Default
  #63
Senior Member
 
Join Date: Mar 2009
Posts: 225
Rep Power: 9
paka is on a distinguished road
I try really hard to find any instruction on how to install OpenFOAM on mac, but despite my best intentions, I cannot find the right information.

Could anyone kindly post what steps are required to follow in order to have OpenFOAM-1.7 up and running on Mac Snow Leopard machine?

Thank you!
paka is offline   Reply With Quote

Old   September 16, 2010, 00:13
Default
  #64
New Member
 
Chris Butler
Join Date: Jun 2010
Posts: 21
Rep Power: 7
chrisb is on a distinguished road
Quote:
Originally Posted by paka View Post
I try really hard to find any instruction on how to install OpenFOAM on mac, but despite my best intentions, I cannot find the right information.

Could anyone kindly post what steps are required to follow in order to have OpenFOAM-1.7 up and running on Mac Snow Leopard machine?

Thank you!
Try this:
http://chrisjbutler.wordpress.com/20...for-os-x-10-6/

Chris Butler
chrisb is offline   Reply With Quote

Old   September 16, 2010, 18:01
Default
  #65
Senior Member
 
Join Date: Mar 2009
Posts: 225
Rep Power: 9
paka is on a distinguished road
Thanks a lot, clear guide. However as I compile, it keeps going for about 15 minutes then it quits with following error

In file included from /Users/user/OpenFOAM/OpenFOAM-1.7.x/src/OpenFOAM/lnInclude/NamedEnum.H:120:0,
from /Users/user/OpenFOAM/OpenFOAM-1.7.x/src/OpenFOAM/lnInclude/time.h:50,
from /usr/include/wchar.h:113,
from /opt/local/include/gcc45/c++/cwchar:47,
from /opt/local/include/gcc45/c++/bits/postypes.h:42,
from /opt/local/include/gcc45/c++/bits/char_traits.h:42,
from /opt/local/include/gcc45/c++/string:42,
from /Users/user/OpenFOAM/OpenFOAM-1.7.x/src/OpenFOAM/lnInclude/string.H:51,
from /Users/user/OpenFOAM/OpenFOAM-1.7.x/src/OpenFOAM/lnInclude/stringList.H:35,
from /Users/user/OpenFOAM/OpenFOAM-1.7.x/src/OpenFOAM/lnInclude/argList.H:73,
from mixtureAdiabaticFlameT.C:33:
/Users/user/OpenFOAM/OpenFOAM-1.7.x/src/OpenFOAM/lnInclude/NamedEnum.C: In constructor 'Foam::NamedEnum<Enum, nEnum>::NamedEnum()':
/Users/user/OpenFOAM/OpenFOAM-1.7.x/src/OpenFOAM/lnInclude/NamedEnum.C:34:18: error: template argument 3 is invalid
/Users/user/OpenFOAM/OpenFOAM-1.7.x/src/OpenFOAM/lnInclude/NamedEnum.C:34:19: error: expected '{' before '(' token
/Users/user/OpenFOAM/OpenFOAM-1.7.x/src/OpenFOAM/lnInclude/NamedEnum.C: At global scope:
/Users/user/OpenFOAM/OpenFOAM-1.7.x/src/OpenFOAM/lnInclude/NamedEnum.C:34:20: error: expected unqualified-id before numeric constant
/Users/user/OpenFOAM/OpenFOAM-1.7.x/src/OpenFOAM/lnInclude/NamedEnum.C:34:20: error: expected ')' before numeric constant
/Users/user/OpenFOAM/OpenFOAM-1.7.x/src/OpenFOAM/lnInclude/token.H:386:25: warning: inline function 'void Foam::token:perator=(int*)' used but never defined
make[2]: *** [Make/darwinIntel64DPOpt/mixtureAdiabaticFlameT.o] Error 1
make[2]: Target `/Users/user/OpenFOAM/OpenFOAM-1.7.x/applications/bin/darwinIntel64DPOpt/mixtureAdiabaticFlameT' not remade because of errors.
make[1]: *** [mixtureAdiabaticFlameT] Error 2
make[1]: Target `application' not remade because of errors.


Trying to fix it, additionally, in OpenFOAM-1.7-Mac.patch I changed all the required entries to gcc-mp-4.5, but error still persists.

$FOAM_APPBIN is empty.

Any tips?

Thanks,
P
paka is offline   Reply With Quote

Old   September 16, 2010, 19:08
Default
  #66
New Member
 
Chris Butler
Join Date: Jun 2010
Posts: 21
Rep Power: 7
chrisb is on a distinguished road
I am not that great (yet) with the errors. I have two suggestions:

Try with another build of OpenFOAM:
To get the latest head from the git repo:
git reset
git pull $OF_GIT_ADDRESS
Then re-apply the patch

OR to get the 1.7.1 build
git reset
git checkout -b master version-1.7.1
Then re apply the patch.

Make sure your OF directory and Third party directory version names match i.e. 1.7.1 or 1.7.x.

Try with another compiler:
Perhaps try gcc4.4 or gcc4.3.

I hope someone else will be more helpful!

Cheers,
Chris Butler
chrisb is offline   Reply With Quote

Old   September 16, 2010, 23:07
Default
  #67
Senior Member
 
Join Date: Mar 2009
Posts: 225
Rep Power: 9
paka is on a distinguished road
Thanks a lot for a prompt reply!

The thing was, somehow the disk image did mount the right way and actually I used non-case dependent OpenFOAM/ folder which I created earlier. After mounting the partition in the right way compile process moved forward.

However, I still have one question. As the compile process ended it finished with the following output message:

make: Target `application' not remade because of errors.

I'm not sure how to interpret it. Any help in this matter?

Thanks,
P
paka is offline   Reply With Quote

Old   September 16, 2010, 23:09
Default
  #68
Senior Member
 
Join Date: Mar 2009
Posts: 225
Rep Power: 9
paka is on a distinguished road
BTW. $FOAM_BINAPP points to:
/Users/user/OpenFOAM/OpenFOAM-1.7.x/applications/bin/darwinIntel64DPOpt

and the folder lists bunch of different apps, so at least in some part applications folder was created.
paka is offline   Reply With Quote

Old   September 17, 2010, 05:11
Default
  #69
Assistant Moderator
 
Bernhard Gschaider
Join Date: Mar 2009
Posts: 3,912
Rep Power: 40
gschaider will become famous soon enoughgschaider will become famous soon enough
Quote:
Originally Posted by paka View Post
Thanks a lot for a prompt reply!

The thing was, somehow the disk image did mount the right way and actually I used non-case dependent OpenFOAM/ folder which I created earlier. After mounting the partition in the right way compile process moved forward.

However, I still have one question. As the compile process ended it finished with the following output message:

make: Target `application' not remade because of errors.

I'm not sure how to interpret it. Any help in this matter?

Thanks,
P
You'll have to look up a bit in the logfile (I recommend always compiling with './Allwmake 2>&1 | tee compile.log' as probably your terminal will be to short). Probably the tecplot-converter and the PV3Reader-plugin didn't get compiled (but the rest was)
gschaider is offline   Reply With Quote

Old   September 17, 2010, 10:16
Default
  #70
New Member
 
Jan Löhrmann
Join Date: Sep 2010
Posts: 21
Rep Power: 6
JanL is on a distinguished road
Hi,

really really sorry to bother you guys but does anyone have an idea what might have been the problem while compiling OF, which I have tried to describe in my post from the 14.09. (7pm)? I'd extremely appreciate any help, as I don't have any clue!!!

PS: In the link which Chris uploaded I've seen the following command:

Quote:
git clone git://github.com/OpenCFD/OpenFOAM-1.7.x.git
Is that necessary for OF to work? In that case it might be my problem, as I haven't done that so far! An is the command the same if you use OF-1.7.1?

Again: Thanks for your support!!!
JanL is offline   Reply With Quote

Old   September 17, 2010, 19:00
Default
  #71
Assistant Moderator
 
Bernhard Gschaider
Join Date: Mar 2009
Posts: 3,912
Rep Power: 40
gschaider will become famous soon enoughgschaider will become famous soon enough
Quote:
Originally Posted by JanL View Post
Hi,

really really sorry to bother you guys but does anyone have an idea what might have been the problem while compiling OF, which I have tried to describe in my post from the 14.09. (7pm)? I'd extremely appreciate any help, as I don't have any clue!!!
Seems OK to me (foamInstallationTest finds icoFoam). The tecPlot-converter doesn't compile on Mac OS

Quote:
Originally Posted by JanL View Post
PS: In the link which Chris uploaded I've seen the following command:



Is that necessary for OF to work? In that case it might be my problem, as I haven't done that so far! An is the command the same if you use OF-1.7.1?

Again: Thanks for your support!!!
No. Its just another way to get the sources. Either you do that or you use a tar of the release
gschaider is offline   Reply With Quote

Old   September 17, 2010, 19:07
Default
  #72
Senior Member
 
Join Date: Mar 2009
Posts: 225
Rep Power: 9
paka is on a distinguished road
Jan,

Follow post from the Chris blog. It is simple and clear description of the whole installation process.

Bernard, thanks for the tip. Right now as much as I had time to test things distribution is up and running.

Best,
K
paka is offline   Reply With Quote

Old   September 17, 2010, 20:17
Default
  #73
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 8,253
Blog Entries: 34
Rep Power: 84
wyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nice
Greetings to all!
Quote:
Originally Posted by gschaider View Post
The tecPlot-converter doesn't compile on Mac OS
Hi Bernhard, I'm sorry I can't help you guys out more, but since I can't get access to a Mac, my hands are tied
Nonetheless, I know someone who probably has already fixed that issue with tecPlot: Richard Smith at Symscape has patches for OpenFOAM 1.7.x, for building it for both Windows (cross-compiling) and Mac (compiling) - http://www.symscape.com/openfoam-1-7...windows-64-mpi

edit: FreeFOAM should also have this issue solved, but it's a bit harder to adapt from it

Best regards,
Bruno

PS - FYI: I've studied these patches (at blueCAPE ) and created modified patches for cross-compiling OpenFOAM in Linux for Windows, but also including most of OpenFOAM's Third Party software, and also improving on top of Symscape's patches
wyldckat is offline   Reply With Quote

Old   September 20, 2010, 11:40
Default
  #74
Assistant Moderator
 
Bernhard Gschaider
Join Date: Mar 2009
Posts: 3,912
Rep Power: 40
gschaider will become famous soon enoughgschaider will become famous soon enough
Quote:
Originally Posted by wyldckat View Post
Greetings to all!

Hi Bernhard, I'm sorry I can't help you guys out more, but since I can't get access to a Mac, my hands are tied
Nonetheless, I know someone who probably has already fixed that issue with tecPlot: Richard Smith at Symscape has patches for OpenFOAM 1.7.x, for building it for both Windows (cross-compiling) and Mac (compiling) - http://www.symscape.com/openfoam-1-7...windows-64-mpi

edit: FreeFOAM should also have this issue solved, but it's a bit harder to adapt from it

Best regards,
Bruno

PS - FYI: I've studied these patches (at blueCAPE ) and created modified patches for cross-compiling OpenFOAM in Linux for Windows, but also including most of OpenFOAM's Third Party software, and also improving on top of Symscape's patches
Thanks for the hint, Bruno.

Only did a brief attempt to fix the tecplot-stuff but as I don't use TecPlot myself and nobody every complained I didn't spend too much time on it. I'll have a look at the patches
gschaider is offline   Reply With Quote

Old   September 21, 2010, 04:08
Default
  #75
Senior Member
 
Join Date: Mar 2009
Posts: 225
Rep Power: 9
paka is on a distinguished road
Just going through OpenFOAM tutorials I noticed one of the solvers did not compile.

I tried to compile it separately and at the end all solvers as a whole, all is fine except interFoam (and Tecplot, but I don't need that one). Any tip regarding that?

Thanks!
Attached Files
File Type: txt log.txt (7.4 KB, 10 views)
paka is offline   Reply With Quote

Old   September 21, 2010, 07:10
Default
  #76
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 8,253
Blog Entries: 34
Rep Power: 84
wyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nice
Greetings Paka,

The inter*Foam solvers seem to be missing an option:
Code:
-linterfaceProperties
Edit the files Make/options in each solver's source code folder and add it to EXE_LIBS.

Best regards,
Bruno
wyldckat is offline   Reply With Quote

Old   September 21, 2010, 13:17
Default
  #77
New Member
 
Babak
Join Date: Sep 2010
Posts: 3
Rep Power: 6
babak55 is on a distinguished road
Hi All,
Does anybody knows for running OpenFOAM 1.7 on MacBook it requires OS X snow leopard (10.6) or OS X tiger (10.4) also can be used?
thnx
babak55 is offline   Reply With Quote

Old   September 21, 2010, 16:05
Default
  #78
Senior Member
 
Join Date: Mar 2009
Posts: 225
Rep Power: 9
paka is on a distinguished road
Bruno,

Strange, it is the original source code, shouldn't it be just fine to compile regardless of platform on which I run it?

I tried to add that option inside the source code, but the problem still persists. Please find present output in attached txt file.

Thank you,
K

PS. Answering Babak's question, OpenFOAM should run on any OS X operating system (including Tiger).
Attached Files
File Type: txt log2.txt (8.4 KB, 8 views)
paka is offline   Reply With Quote

Old   September 21, 2010, 16:11
Default
  #79
Senior Member
 
Join Date: Mar 2009
Posts: 225
Rep Power: 9
paka is on a distinguished road
Forgive me. This time I modified each of the Make/options file from each of the solvers. This time the solvers compiled, however, what makes me uncomfortable is the bit with "unused variable" as you can see in previously attached output file, log2.txt.

Thanks for your time and help!
K
paka is offline   Reply With Quote

Old   September 21, 2010, 19:21
Default
  #80
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 8,253
Blog Entries: 34
Rep Power: 84
wyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nice
Hi Paka,

Quote:
Originally Posted by paka View Post
This time the solvers compiled, however, what makes me uncomfortable is the bit with "unused variable" as you can see in previously attached output file, log2.txt.
Don't worry about that, it also happens in the Linux version. Those warnings are related to some variables that are defined in a general header file that is used by several solvers. I believe that some use them, others don't. And since the solvers with the warnings work without any problems, it's probably left in the low priority queue of "FIXME" list

Best regards,
Bruno
wyldckat is offline   Reply With Quote

Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
Default patches not appearing in paraview ozzythewise OpenFOAM Native Meshers: blockMesh 6 January 31, 2011 10:41
internal faces between patches created with snappyHexMesh romant OpenFOAM Mesh Utilities 0 August 17, 2009 08:40
Courant number, patches, etc oort OpenFOAM 1 July 24, 2009 18:05
SnappyHexMesh large number of patches written prapanj OpenFOAM Mesh Utilities 0 July 15, 2009 08:11
radiation patches, viewfactors beams CD-adapco 1 March 12, 2009 08:39


All times are GMT -4. The time now is 06:52.